This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 442616 - Split inkscape modules into subpackages.
Split inkscape modules into subpackages.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-15 15:48 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 02:52:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-04-15 15:48:44 EDT
Description of problem:

I installed inkscape with yum.

Installing:
 inkscape                x86_64     0.46-2.fc9       rawhide            18 M
Installing for dependencies:
 ImageMagick             x86_64     6.3.8.1-3.fc9    rawhide           4.0 M
 ImageMagick-c++         x86_64     6.3.8.1-3.fc9    rawhide           146 k
 ImageMagick-perl        x86_64     6.3.8.1-3.fc9    rawhide           220 k
 atlas                   x86_64     3.6.0-12.fc8     rawhide           4.2 M
 compat-libgfortran-41   x86_64     4.1.2-36         rawhide           164 k
 libEMF                  x86_64     1.0.3-7.fc9      rawhide            86 k
 libgfortran             x86_64     4.3.0-6          rawhide           260 k
 numpy                   x86_64     1.0.3.1-2.fc9    rawhide           2.2 M
 perl-Parse-Yapp         noarch     1.05-38.fc9      dfoo               46 k
 perl-XML-DOM            noarch     1.44-4.fc9       dfoo              138 k
 perl-XML-RegExp         noarch     0.03-4.fc9       dfoo              8.3 k
 perl-XML-XQL            noarch     0.68-6.fc9       dfoo              108 k
 pstoedit                x86_64     3.45-2.fc9       rawhide           512 k
 python-lxml             x86_64     2.0.3-1.fc9      rawhide           1.7 M

So, that means it uses:
- a C runtime
- a C++ runtime
- a Fortran runtime
- a python runtime
- a perl runtime
all for a single app?

Version-Release number of selected component (if applicable):

0.46-2.fc9

Additional info:

*Fortran*? Seriously?
Comment 1 Lubomir Kundrak 2008-04-15 17:32:28 EDT
I was already thinking about this. This is due to big amount of plugins. Some of
them even have more external dependencies, such as LaTeX, etc.

I am wondering whether it makes sense to split the extensions into a separate
package of each, as there are tens of extensions. Maybe group them into packages
based on their dependencies?
Comment 2 Bill Nottingham 2008-04-15 18:01:10 EDT
I suppose it depends on what those extensions functionally do; that would be
more logical from a user perspective.
Comment 3 Bug Zapper 2008-05-14 05:30:03 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:12:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Lubomir Rintel 2009-06-10 02:52:17 EDT
Dependencies got ridden of in a different way. (Shipping the plugins itself, but don't requiring all their dependencies and letting inkscape's dependency mechanism deal with it).

Note You need to log in before you can comment on or make changes to this bug.